export default {
  id: 'attachment',
  title: '照片/附件',
  showProgress: true,
  progress: 0,
  get: {
    action: '/api/zws/v1/enrollment/attachments?project_id=1007',
    callback(data) {
      let _data = {
        uploadArrs10: [],
        uploadArrs22: [],
        uploadArrs23: [],
        uploadArrs30: [],
        uploadArrs31: [],
        uploadArrs36: [],
        uploadArrs40: [],
        uploadArrs41: [],
        uploadArrs43: [],
        uploadArrs50: [],
        uploadArrs51: []
      }
      data.forEach((item, index) => {
        _data[`uploadArrs${item.file_type}`] &&
          _data[`uploadArrs${item.file_type}`].push({
            url: item.file,
            id: item.id,
            sso_file_name: item.sso_file_name
          })
      })
      return _data
    }
  },
  form: {
    hasButton: false,
    options: { disabled: false },
    items: [
      /* 一寸彩色近照 */
      {
        type: 'upload-form',
        label: '一寸彩色近照',
        required: true,
        model: 'uploadArrs10',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 10,
          project_id: 1007
        },
        attrs: {
          multiple: false,
          limit: 1
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">申请者需要上传本人半年以内的一寸彩色近照。</p>
            <p style="margin: 0;">只需上传一个文件，且照片完整、干净。</p>
            <p style="margin: 0;">上传文件仅限“jpg,jpeg,gif,png”格式的图片文件，且文件小于10MB。</p>
          </div>
        `
      },
      /* 有效身份证件（正面） */
      {
        type: 'upload-form',
        label: '有效身份证件（正面）',
        required: true,
        model: 'uploadArrs22',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 22,
          project_id: 1007
        },
        attrs: {
          multiple: false,
          limit: 1
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">申请者需要将有效身份证件原件扫描或者拍照后提交。</p>
            <p style="margin: 0;">请您提供有效身份证件的扫描件，身份证与台港澳居民大陆通行证应包括正反两面扫描件。</p>
            <p style="margin: 0;">只上传一个文件，多份文件需合并到一个文件后打印出来检查无误后再上传。</p>
            <p style="margin: 0;">上传文件仅限“jpg,jpeg,gif,png”格式，文件小于10MB。</p>
          </div>
        `
      },
      /* 有效身份证件（反面） */
      {
        type: 'upload-form',
        label: '有效身份证件（反面）',
        required: true,
        model: 'uploadArrs23',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 23,
          project_id: 1007
        },
        attrs: {
          multiple: false,
          limit: 1
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">申请者需要将有效身份证件原件扫描或者拍照后提交。</p>
            <p style="margin: 0;">请您提供有效身份证件的扫描件，身份证与台港澳居民大陆通行证应包括正反两面扫描件。</p>
            <p style="margin: 0;">只上传一个文件，多份文件需合并到一个文件后打印出来检查无误后再上传。</p>
            <p style="margin: 0;">上传文件仅限“jpg,jpeg,gif,png”格式，文件小于10MB。</p>
          </div>
        `
      },
      /* 毕业证书 */
      {
        type: 'upload-form',
        label: '毕业证书',
        required: true,
        model: 'uploadArrs30',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 30,
          project_id: 1007
        },
        attrs: {
          multiple: true
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">申请者需要将本科或以上毕业证书原件扫描或者拍照后提交。</p>
            <p style="margin: 0;">可上传多个文件，请确保证书号码清晰可辨。</p>
            <p style="margin: 0;">上传文件仅限“jpg,jpeg,png”格式，文件小于10MB。</p>
          </div>
        `
      },
      /* 学位证书 */
      {
        type: 'upload-form',
        label: '学位证书',
        required: true,
        model: 'uploadArrs31',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 31,
          project_id: 1007
        },
        attrs: {
          multiple: true
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">申请者需要将学位证书原件扫描或者拍照后提交。</p>
            <p style="margin: 0;">可上传多个文件，请确保证书号码清晰可辨。</p>
            <p style="margin: 0;">上传文件仅限“jpg,jpeg,png”格式，文件小于10MB。</p>
          </div>
        `
      },
      /* 学位证书英文证明 */
      {
        type: 'upload-form',
        label: '学位证书英文证明',
        required: true,
        model: 'uploadArrs36',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 36,
          project_id: 1007
        },
        attrs: {
          multiple: true
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">请将学校出具的学位证书英文证明原件扫描或者拍照后提交。</p>
          </div>
        `
      },
      /* 英文简历 */
      {
        type: 'upload-form',
        label: '英文简历',
        required: true,
        model: 'uploadArrs50',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 50,
          project_id: 1007
        },
        attrs: {
          multiple: true
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">请下载填写英文简历模板后上传 <a href="https://zws-imgs-pub.ezijing.com/static/public/2e8e4f6898f59e03636139a402ef16c1.docx">[下载模板]</a></p>
            <p style="margin: 0;">请将英文简历填写完存为"pdf"格式上传，文件小于10MB。</p>
          </div>
        `
      },
      // /* 托福／雅思成绩单 */
      // {
      //   type: 'upload-form',
      //   label: '托福／雅思成绩单',
      //   required: true,
      //   model: 'uploadArrs41',
      //   action: '/api/zws/v1/enrollment/attachments',
      //   deleteAction: '/api/zws/v1/enrollment/attachments',
      //   data: {
      //     file_type: 41,
      //     project_id: 1007
      //   },
      //   attrs: {
      //     multiple: true
      //   },
      //   html: `
      //     <div style="color: #72818c; font-size: 14px;">
      //       <p style="margin: 0;">托福(TOEFL)／雅思(IELTS)成绩单:如之前考取托福或雅思成绩，请提交官方成绩单扫描件，暂不对有效期进行要求。</p>
      //       <p style="margin: 0;">可上传多个文件，请确保证书号码清晰可辨。</p>
      //       <p style="margin: 0;">上传文件仅限“jpg,gif,png”格式，文件小于10MB。</p>
      //     </div>
      //   `
      // },
      /* 个人陈述 */
      {
        type: 'upload-form',
        label: '个人陈述',
        required: true,
        model: 'uploadArrs51',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 51,
          project_id: 1007
        },
        attrs: {
          multiple: true
        },
        html: `
          <div>
            <p>申请人以第一人称的视角介绍自己的申请动机、专业兴趣、专业经历、成长经历、职业规划、</p>
            <p>学习计划、研究兴趣、为什么选择这所学校，为什么选择这个项目等。请用英文完成，1000</p>
            <p>字以内。请将个人陈述填写完存为"pdf"格式上传，文件小于10MB。</p>
          </div>
        `
      },
      /* 成绩单 */
      {
        type: 'upload-form',
        label: '中文成绩单',
        required: true,
        model: 'uploadArrs40',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 40,
          project_id: 1007
        },
        attrs: {
          multiple: true
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">请将中英文成绩单原件扫描或者拍照后提交。如果成绩单是多个文件，请合并为一个PDF上传。文件以英文名命名，例如：Chen Xiaohui Chinese Transcript/Chen Xiaohui EnglishTranscript</p>
            <p style="margin: 0;">获取途径:联系大学时就读学校相关部门(档案馆/教务处)获取成绩单。</p>
          </div>
        `
      },
      /* 成绩单 */
      {
        type: 'upload-form',
        label: '英文成绩单',
        required: true,
        model: 'uploadArrs43',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: {
          file_type: 43,
          project_id: 1007
        },
        attrs: {
          multiple: true
        },
        html: `
          <div style="color: #72818c; font-size: 14px;">
            <p style="margin: 0;">请将中英文成绩单原件扫描或者拍照后提交。如果成绩单是多个文件，请合并为一个PDF上传。文件以英文名命名，例如：Chen Xiaohui Chinese Transcript/Chen Xiaohui EnglishTranscript</p>
            <p style="margin: 0;">获取途径:联系大学时就读学校相关部门(档案馆/教务处)获取成绩单。</p>
          </div>
        `
      }
    ]
  }
}
