export default {
  id: 'pay',
  title: '缴报名费',
  showProgress: false,
  progress: 0,
  visible: false,
  get: {
    action: '/api/zws/v1/enrollment/attachments?project_id=1007',
    callback(data) {
      let _data = {
        uploadArrs73: []
      }
      data.forEach((item, index) => {
        _data[`uploadArrs${item.file_type}`] &&
          _data[`uploadArrs${item.file_type}`].push({
            url: item.file,
            id: item.id,
            sso_file_name: item.sso_file_name
          })
      })
      return _data
    }
  },
  form: {
    hint: `<p>缴费提示信息：</p>
    <p>报名申请费用：人民币800元</p>
    <p>缴费项目：中国未来金融领袖计划报名申请费</p>
    <p>请使用微信或支付宝扫描二维码并在规定的时间内完成缴费，缴费完成后请保留缴费凭证相关信息并上传至申请系统。</p>`,
    hasButton: false,
    options: { disabled: false },
    items: [
      /* 一寸彩色近照 */
      {
        type: 'upload-form',
        label: '缴费凭证',
        required: true,
        model: 'uploadArrs73',
        action: '/api/zws/v1/enrollment/attachments',
        deleteAction: '/api/zws/v1/enrollment/attachments',
        data: { file_type: 73, project_id: 1007 },
        attrs: { multiple: false, limit: 1 },
        html: `<div class="qrcode">
          <img src="https://zws-imgs-pub.ezijing.com/static/build/learn-mba/wxpay.png" />
          <img src="https://zws-imgs-pub.ezijing.com/static/build/learn-mba/alipay.png" />
        </div>`
      }
    ]
  }
}
