export default [
  { path: '*', redirect: '/' },
  { path: '/', component: () => import('@/pages/index.vue') },
  {
    path: '/signup/index', // 在线报名
    component: () => import('@/pages/signup/index.vue'),
    meta: { requiredLogin: true }
  },
  {
    path: '/signup/form', // 填写报名表
    component: () => import('@/pages/signup/form.vue'),
    meta: { requiredLogin: true }
  },
  {
    path: '/project', // 项目介绍
    component: () => import('@/pages/project/index.vue')
  },
  {
    path: '/news', // 新闻列表
    component: () => import('@/pages/news/index.vue')
  },
  {
    path: '/know', // 招生简章
    component: () => import('@/pages/know/index.vue')
  },
  {
    path: '/download', // 资料下载
    component: () => import('@/pages/download/index.vue')
  },
  {
    path: '/contact', // 联系我们
    component: () => import('@/pages/contact/index.vue')
  },
  {
    path: '/index', // 联系我们
    component: () => import('@/pages/_lang/index.vue')
  },
  {
    path: '/preview', // 预览word
    component: () => import('@/pages/_lang/preview.vue')
  },
  {
    path: '/recruit', // 招生信息
    component: () => import('@/pages/recruitInfo/index.vue')
  },
  {
    path: '/careerDev', // 职业发展
    component: () => import('@/pages/careerDev/index.vue')
  },
  {
    path: '/presence', // 师生风采
    component: () => import('@/pages/presence/index.vue')
  },
  {
    path: '/alumniWork', // 校友工作
    component: () => import('@/pages/alumniWork/index.vue')
  },
  {
    path: '/teaching', // 教学模块
    component: () => import('@/pages/teaching/index.vue')
  },
  {
    path: '/videoCenter', // 视频中心
    component: () => import('@/pages/videoCenter/index.vue')
  },
  {
    path: '/videoCenter/details', // 视频中心详情
    component: () => import('@/pages/videoCenter/details.vue')
  },
  {
    path: '/login',
    redirect: '/login/index',
    component: () => import('@/components/login/login.vue'),
    children: [
      {
        path: 'index',
        name: 'normalLogin',
        component: () => import('@/components/login/normal/normal.vue'),
        props: route => ({ query: route.query, params: route.params })
      },
      {
        path: 'code',
        name: 'codeLogin',
        component: () => import('@/components/login/code/code.vue'),
        props: route => ({ query: route.query, params: route.params })
      },
      {
        path: 'forget',
        name: 'forgetPwd',
        component: () => import('@/components/login/forget/forget.vue'),
        props: route => ({ query: route.query, params: route.params })
      }
    ]
  }
]
